nmblookup
1

# nmblookup

nmblookup - klient NetBIOS poprzez TCP/IP uzywany do szukania nazw NetBIOS

          nmblookup
          -M
          -R
          -S
          -r
          -A
          -h
          -B <adres rozgłaszania>
          -U <adres unicast'owy>
          -d <poziom debugowania>
          -s <plik konfiguracyjny smb>
          -i <zakres NetBIOS>
          -T
          nazwa

## OPIS

Ten program jest częścią pakietu Samba.

`nmblookup`jest używany do zapytań o nazwy NetBIOS i mapowania ich na adresy IP w sieci używającej zapytań NetBIOS poprzez TCP/IP. Opcje umożliwiają kierowanie zapytań na poszczególne obszary rozgłaszania IP lub na konkretną maszyne. Wszystkie zapytania są wykonywane poprzez UDP

## OPCJE

-M

  Szuka nadrzędnego hosta przeglądajacego wyszukując nazwę NetBIOS o typie `0x1d`. Jeśli nazwą jest "-" wówczas szuka specjalnej nazwy `__MSBROWSE__`.

-R

  Ustawia w pakiecie bit rekursji, aby wykonać przeszukiwanie rekursywne. Jest to używane, gdy wysyłamy zapytanie o nazwę do maszyny na której działa serwer WINS i użytkownik chce zapytać ten serwer o nazwę. Jeśli bit ten nie jest ustawiony, normalne (w odpowiedzi na rozgłoszenie) przetwarzanie kodu NetBIOS na tej maszynie jest użyte zamiast WINS. Zobacz `rfc1001`, `rfc1002` aby dowiedzieć się szczegółów.

-S

  Gdy tylko zapytanie o nazwę zwróci adres IP, wówczas wykonywane jest też zapytanie o status węzła. Zapytanie to zwraca nazwę NetBIOS zarejestrowaną przez hosta.

-r

  Podwiązuje się do portu 137 UDP aby wysłać i odebrać datagramy UDP. Powodem istnienia tej opcji jest błąd w Windows 95, który powoduje, że Windows 95 ignoruje port źródłowy pakietu z żądaniem i odpowiada na port 137 UDP. Niestety, w większości systemow UNIX prawa root'a są potrzebne do tego, żeby podwiązać się do tego portu. W dodatku, jeśli demon nmbd(8) działa na tej maszynie, rownież podwiązuje się do tego portu.

-A

  Interpretuje nazwę jako adres IP i wykonuje zapytanie o status węzła o tym adresie.

-h

  Wyświetla informację pomocniczą (na temat sposobu użycia)

-B adres rozglaszania

  Wysyła zapytanie na podany adres rozgłaszania. Bez tej opcji, domyślnym zachowaniem programu nmblookup jest wysłanie zapytania na adres rozgłaszania interfejsów sieciowych albo jako auto-wykrywany, albo zdefiniowany w parametrze `interfaces` w pliku `smb.conf (5)` .

-U <adres unicast>

  Wykonuje zapytanie na określonym adresie lub hoście adres. Ta opcja (razem z opcją `-R`) jest potrzebna aby zapytać serwer WINS.

-d <poziom debugowania>

  poziom debugowania jest liczbą całkowitą od 0 do 10

  Domyślną wartością, jeśli ten parametr nie jest określony, jest zero.

  Im większa jest to wartość, tym więcej detali na temat aktywności `nmblookup` będzie rejestrowanych w plikach logu. Na poziomie 0, będą to tylko krytyczne błędy i poważne ostrzeżenia.

  Poziomy ponad 1 będą generować znaczne ilości informacji logu i powinny być używane tylko podczas śledzenia problemu. Poziomy ponad 3 są zaprojektowane tylko dla użytku developerów i generują OGROMNE ilości danych logu, w wiekszości ekstremalnie zagadkowych.

  Zauważ, że określanie tego parametru tutaj spowoduje, że będzie on nadrzędny w stosunku do parametru `log level` w pliku `smb.conf(5)`.

-s <smb.conf>

  Ten parametr określa ścieżkę do pliku konfiguracyjnego Samby, smb.conf(5). Plik ten kontroluje wszystkie aspekty ustawień Samby na danej maszynie.

-i <zakres>

  Określa zakres NetBIOS jakiego `nmblookup` użyje do komunikacji podczas generowania nazw NetBIOS. Po szczegóły na temat używania zakresów NetBIOS, zajrzyj do `rfc1001.txt` i `rfc1002.txt`. Zakresy NetBIOS są bardzo rzadko używane. Ustawiaj ten parametr tylko jeśli jesteś administratorem systemu kierujacym wszystkimi systemami NetBIOS z którymi się komunikujesz.

-T

  Powoduje, że każdy adres IP znaleziony podczas wyszukiwania jest odwzorowany na nazwe DNS poprzez odwrotne wyszukiwanie DNS, i wyświetlony przed każdą parą

  adres IP .... nazwa NetBIOS

  która normalnie ukazuje się na wyjściu.

nazwa

  Jest to nazwa NetBIOS o którą pytamy. Zależnie od poprzednich opcji może to być nazwa NetBIOS lub adres IP. Jeśli nazwa NetBIOS, wtedy różne typy nazw mogą być określone przez dopisywanie "#<typ>" do nazwy. Nazwą tą może być rownież "*". Zwróci ona wszystkie zarejestrowane nazwy w obszarze rozgłaszania.

## PRZYKŁADY

`nmblookup` może być użyty do zapytania serwera WINS (w ten sam sposób `nslookup` jest używany do pytania serwerów DNS). Aby zapytać taki serwer, `nmblookup` musi był wywołany tak:

`nmblookup -U serwer -R 'nazwa'`

Na przykład, polecenie:

`nmblookup -U samba.org -R 'IRIX#1B'`

zapytałoby serwer WINS samba.org o nadrzedną przeglądarkę domeny (typ nazwy 1B) w grupie roboczej IRIX.

## WERSJA

Ta strona podręcznika jest poprawna dla wersji 2.2 pakietu Samba.

## ZOBACZ TEŻ

`samba(7)`, `nmbd(8)`, `smb.conf(5)`

## AUTOR

Pierwotnie, Samba i związane z nią oprogramowanie były stworzone przez Andrew Tridgella. Samba jest teraz rozwijana przez Zespół Samba jako projekt Open Source podobnie jak jądro Linux.

Pierwotnie, strony podręcznika Samba zostały napisane przez Karla Auera. Kody źrodłowe tych stron zostały przekonwertowane do formatu YODL (kolejny świetny kawałek oprogramowania Open Source dostępny na ftp://ftp.icce.rug.nl/pub/unix i zaktualizowane do wydania 2.0 samby przez Jeremy Allisona. Konwersja do DocBook dla Samba 2.2 została wykonana przez Geralda Cartera. Tłumaczenie na język polski i konwersję polskiej wersji do DocBook wykonał Rafał Szcześniak.